Uses of Interface
org.apache.tapestry5.Link

Packages that use Link
org.apache.tapestry5   
org.apache.tapestry5.corelib.base   
org.apache.tapestry5.corelib.components   
org.apache.tapestry5.internal.services   
org.apache.tapestry5.internal.structure   
org.apache.tapestry5.internal.test   
org.apache.tapestry5.services   
org.apache.tapestry5.test   
org.apache.tapestry5.util   
 

Uses of Link in org.apache.tapestry5
 

Methods in org.apache.tapestry5 that return Link
 Link ComponentResourcesCommon.createActionLink(String eventType, boolean forForm, Object... context)
          Deprecated. Use ComponentResourcesCommon.createEventLink(String, Object[]) instead
 Link ComponentResourcesCommon.createEventLink(String eventType, Object... context)
          Creates a component event request link as a callback for this component.
 Link ComponentResourcesCommon.createFormEventLink(String eventType, Object... context)
          Creates a component event request link as a callback for this component.
 Link ComponentResourcesCommon.createPageLink(Class pageClass, boolean override, Object... context)
          Deprecated. Use PageRenderLinkSource.createPageRenderLink(Class) or PageRenderLinkSource.createPageRenderLinkWithContext(Class, Object[]) instead
 Link ComponentResourcesCommon.createPageLink(String pageName, boolean override, Object... context)
          Deprecated. Use PageRenderLinkSource.createPageRenderLink(String) or PageRenderLinkSource.createPageRenderLinkWithContext(String, Object[]) instead
 

Uses of Link in org.apache.tapestry5.corelib.base
 

Methods in org.apache.tapestry5.corelib.base that return Link
protected abstract  Link AbstractComponentEventLink.createLink(Object[] eventContext)
          Invoked to create the Link that will become the href attribute of the output.
 Link AbstractLink.getLink()
          Returns the most recently rendered Link for this component.
 

Methods in org.apache.tapestry5.corelib.base with parameters of type Link
protected  void AbstractLink.writeLink(MarkupWriter writer, Link link, Object... namesAndValues)
          Writes an <a> element with the provided link as the href attribute.
 

Uses of Link in org.apache.tapestry5.corelib.components
 

Methods in org.apache.tapestry5.corelib.components that return Link
protected  Link EventLink.createLink(Object[] eventContext)
           
protected  Link ActionLink.createLink(Object[] contextArray)
           
 

Uses of Link in org.apache.tapestry5.internal.services
 

Classes in org.apache.tapestry5.internal.services that implement Link
 class LinkImpl
           
 

Methods in org.apache.tapestry5.internal.services that return Link
 Link ComponentEventLinkEncoderImpl.createComponentEventLink(ComponentEventRequestParameters parameters, boolean forForm)
           
 Link LinkSourceImpl.createComponentEventLink(Page page, String nestedId, String eventType, boolean forForm, Object... eventContext)
           
 Link LinkSource.createComponentEventLink(Page page, String nestedId, String eventType, boolean forForm, Object... context)
          Creates a stateful action link.
 Link PageRenderLinkSourceImpl.createPageRenderLink(Class pageClass)
           
 Link ComponentEventLinkEncoderImpl.createPageRenderLink(PageRenderRequestParameters parameters)
           
 Link PageRenderLinkSourceImpl.createPageRenderLink(String pageName)
           
 Link LinkSourceImpl.createPageRenderLink(String pageName, boolean override, Object... pageActivationContext)
           
 Link LinkSource.createPageRenderLink(String pageName, boolean override, Object... pageActivationContext)
          Creates a render link for the page.
 Link PageRenderLinkSourceImpl.createPageRenderLinkWithContext(Class pageClass, Object... context)
           
 Link PageRenderLinkSourceImpl.createPageRenderLinkWithContext(String pageName, Object... context)
           
 

Methods in org.apache.tapestry5.internal.services with parameters of type Link
 void ClientBehaviorSupportImpl.addFormInjector(String clientId, Link link, InsertPosition insertPosition, String showFunctionName)
           
 void ClientPersistentFieldStrategy.createdComponentEventLink(Link link)
           
 void ClientPersistentFieldStrategy.createdPageRenderLink(Link link)
           
 void ClientBehaviorSupportImpl.linkZone(String linkId, String elementId, Link eventLink)
           
 void AjaxLinkComponentEventResultProcessor.processResultValue(Link value)
           
 void ResponseImpl.sendRedirect(Link link)
           
 void ClientPersistentFieldStorageImpl.updateLink(Link link)
           
 void ClientPersistentFieldStorage.updateLink(Link link)
          Updates a link, adding a query parameter to it (if necessary) to store
 

Uses of Link in org.apache.tapestry5.internal.structure
 

Methods in org.apache.tapestry5.internal.structure that return Link
 Link InternalComponentResourcesImpl.createActionLink(String eventType, boolean forForm, Object... context)
           
 Link ComponentPageElementImpl.createActionLink(String eventType, boolean forForm, Object... context)
           
 Link ComponentPageElementResourcesImpl.createComponentEventLink(ComponentResources resources, String eventType, boolean forForm, Object... context)
           
 Link ComponentPageElementResources.createComponentEventLink(ComponentResources resources, String eventType, boolean forForm, Object... context)
          Creates a link on behalf of a component.
 Link InternalComponentResourcesImpl.createEventLink(String eventType, Object... context)
           
 Link ComponentPageElementImpl.createEventLink(String eventType, Object... context)
           
 Link InternalComponentResourcesImpl.createFormEventLink(String eventType, Object... context)
           
 Link ComponentPageElementImpl.createFormEventLink(String eventType, Object... context)
           
 Link InternalComponentResourcesImpl.createPageLink(Class pageClass, boolean override, Object... context)
           
 Link ComponentPageElementImpl.createPageLink(Class pageClass, boolean override, Object... context)
           
 Link InternalComponentResourcesImpl.createPageLink(String pageName, boolean override, Object... context)
           
 Link ComponentPageElementImpl.createPageLink(String pageName, boolean override, Object... context)
           
 Link ComponentPageElementResourcesImpl.createPageRenderLink(Class pageClass, boolean override, Object... context)
           
 Link ComponentPageElementResources.createPageRenderLink(Class pageClass, boolean override, Object... context)
          Creates a page render request link to render a specific page.
 Link ComponentPageElementResourcesImpl.createPageRenderLink(String pageName, boolean override, Object... context)
           
 Link ComponentPageElementResources.createPageRenderLink(String pageName, boolean override, Object... context)
          Creates a page render request link to render a specific page.
 

Uses of Link in org.apache.tapestry5.internal.test
 

Methods in org.apache.tapestry5.internal.test that return Link
 Link TestableResponseImpl.getRedirectLink()
           
 Link TestableResponse.getRedirectLink()
          Returns the link redirected to via Response.sendRedirect(org.apache.tapestry5.Link).
 

Methods in org.apache.tapestry5.internal.test with parameters of type Link
 void TestableResponseImpl.sendRedirect(Link link)
           
 

Uses of Link in org.apache.tapestry5.services
 

Methods in org.apache.tapestry5.services that return Link
 Link ComponentEventLinkEncoder.createComponentEventLink(ComponentEventRequestParameters parameters, boolean forForm)
          Creates a link that encapsulates a component event request, including PersistentLocale (if set).
 Link PageRenderLinkSource.createPageRenderLink(Class pageClass)
          Creates a page render link using the page's class to identify the target page, and using the pages normal passivation context (if it has one).
 Link ComponentEventLinkEncoder.createPageRenderLink(PageRenderRequestParameters parameters)
          Creates a Link that encapsulates a page render request, including activation context and PersistentLocale (if set).
 Link PageRenderLinkSource.createPageRenderLink(String pageName)
          Creates a page render link using the page's normal passivation context (if it has one).
 Link PageRenderLinkSource.createPageRenderLinkWithContext(Class pageClass, Object... context)
          Creates a page render link using the page's class to identify the target page, and using an override of the page's passivation context (possibly an empty one).
 Link PageRenderLinkSource.createPageRenderLinkWithContext(String pageName, Object... context)
          Creates a page render link using an override of the page's passivation context (possibly an empty one).
 

Methods in org.apache.tapestry5.services with parameters of type Link
 void ClientBehaviorSupport.addFormInjector(String clientId, Link link, InsertPosition insertPosition, String showFunctionName)
          Adds a new client-side Tapestry.FormInjector object.
 void LinkCreationListener.createdComponentEventLink(Link link)
          Invoked when an action link (a link that asks a component to perform an action) is created.
 void LinkCreationListener.createdPageRenderLink(Link link)
          Invoked when a page link (a link that renders a page) is created.
 void ClientBehaviorSupport.linkZone(String linkId, String elementId, Link eventLink)
          Sets the client-side onclick handler for an <a> element to perform an Ajax update of a zone.
 void Response.sendRedirect(Link link)
          Sends a redirect to a link.
 

Uses of Link in org.apache.tapestry5.test
 

Methods in org.apache.tapestry5.test that return Link
protected  Link TapestryTestCase.mockLink()
           
 

Methods in org.apache.tapestry5.test with parameters of type Link
protected  void TapestryTestCase.train_toRedirectURI(Link link, String URI)
           
protected  void TapestryTestCase.train_toURI(Link link, String URI)
           
 

Uses of Link in org.apache.tapestry5.util
 

Methods in org.apache.tapestry5.util with parameters of type Link
 void ResponseWrapper.sendRedirect(Link link)
           
 



Copyright © 2006-2009 Apache Software Foundation. All Rights Reserved.